package com.huigou.bpmc.chart.repository;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;

import com.huigou.bpmc.chart.domain.model.ProcessNode;

/**
 * Repository
 * 
 * @author xx
 * @date 2017-04-17 09:23
 */
public interface ProcessNodeRepository extends JpaRepository<ProcessNode, String> {
    List<ProcessNode> findByBusinessProcessId(String businessProcessId);

    List<ProcessNode> findByBusinessProcessIdOrderByObjectKindCodeAsc(String businessProcessId);

    List<ProcessNode> findOneByBusinessProcessIdAndViewId(String businessProcessId, String viewId);

}
