package com.huigou.bpmc.chart.repository;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import com.huigou.bpmc.chart.domain.model.ProcessAreas;

/**
 * Repository
 * 
 * @author
 * @date 2018-03-07 11:15
 */
public interface ProcessAreasRepository extends JpaRepository<ProcessAreas, String> {
    List<ProcessAreas> findByBusinessProcessId(String businessProcessId);

    @Modifying
    @Query("delete ProcessAreas a where a.businessProcessId = ?1")
    void deleteByProcessId(String businessProcessId);
}
