package com.huigou.bpmc.function.repository;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import com.huigou.bpmc.function.domain.model.FunctionsDetails;

/**
 * Repository
 * 
 * @author
 * @date 2018-03-28 11:16
 */
public interface FunctionsDetailsRepository extends JpaRepository<FunctionsDetails, String> {
    @Modifying
    @Query("delete FunctionsDetails a where a.bpmFunctionsId = ?1")
    void deleteByBpmFunctionsId(String bpmFunctionsId);

    Integer countByFunctionsGroupId(String functionsGroupId);
    
    List<FunctionsDetails> findByBpmFunctionsId(String bpmFunctionsId);
}
